Subject: Re: bug#39046: 28.0.50; emacs built with cairo locks up when displaying certain characters in mu4e

From: Benjamin Slade <[email-masked]>
Date: Fri, 10 Apr 2020 18:50:43 -0600

On 2020-01-08T21:49:39-0700, Eli Zaretskii <[email-masked]> wrote:

 > On January 9, 2020 5:23:10 AM GMT+02:00, Benjamin Slade 
 > <[email-masked]> wrote:
 > > 
 > > Opening a *mu4e-headers* buffer where some of the text 
 > > includes 
 > > certain
 > > characters (I think at least Chinese, perhaps others) seems 
 > > to 
 > > freeze
 > > Emacs. If I build without cairo, the same problem does not 
 > > arise.

 > Could you please provide a recipe for reproducing this problem, 
 > or at least to identify the characters which cause this?

 > Also, please attach a debugger to Emacs when it freezes, and 
 > post here the backtrace.  Since the freeze can be some infloop, 
 > please also try following the orocedure described in etc/DEBUG 
 > for finding where we loop.

I've retried since with more recent commits, and haven't been able 
to reproduce the same issue, so I think this can be closed.

-- 
( Dr Benjamin Slade . [email-masked] . https://lambda-y.net )
( Linguistics . University of Utah . https://linguistics.utah.edu 
)
( office : LNCO 2309 )
`( pgp_fp: ,(21BA 2AE1 28F6 DF36 110A 0E9C A320 BBE8 2B52 EE19))
'( sent by mu4e in Emacs on GNU/Linux . https://gnu.org )